[lfs-support] LFS 7.6 Ch 6.28 e2fsprogs: make error

ZyaX thezyax at gmail.com
Fri Mar 6 00:08:00 PST 2015


On 3/5/15, Armin K. <krejzi at email.com> wrote:
>> configure:12971: gcc -o conftest -I/tools/include   conftest.c -lblkid
>>  -L/tools/lib >&5
>> /tools/bin/ld: warning: libuuid.so.1, needed by
>
>   ^^^^^^^^^^^^^
>
> Something's wrong in this line. At that stage, you shouldn't be using a
> compiler and linker
> from /tools. I'd check that out first.

The thing is though that some environment variables are explicitly set
to the /tools directory for this package.
http://www.linuxfromscratch.org/lfs/view/stable/chapter06/e2fsprogs.html
But like you say, I could have done something wrong too. I'm not very
well versed in LFS since this is my first time building it.


More information about the lfs-support mailing list